Subject: Re: linux-next: manual merge of the mm tree with the block tree

From: John Hubbard <[email-masked]>
Date: Thu, 1 Sep 2022 00:47:41 -0700

On 8/31/22 23:17, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the mm tree got a conflict in:
> 
>   block/blk-map.c
> 
> between commit:
> 
>   e88811bc43b9 ("block: use on-stack page vec for <= UIO_FASTIOV")
> 
> from the block tree and commit:
> 
>   2e9a2aa23dad ("block, bio, fs: convert most filesystems to pin_user_pages_fast()")
> 
> from the mm tree.
> 
> I fixed it up (I think - see below) and can carry the fix as

The fix up looks correct to me.

> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.
> 

Of the 7 patches in my series [1], the first two are in mm, and provide
some prerequisites. The remaining patches apply to block, bio, fs, and
iov_iter, and that's where this merge conflict happened.

Also, there's still some upcoming churn (more patchset revisions are
coming), as reviews are still active and this one isn't perfected yet.

So I see two obvious solutions. Either:

a) Only do the first two patches for now, and leave them in Andrew's
tree. After the next release, do the remaining 5 patches via the block
tree, or

b) Move the whole series to the block tree now, or

c) something else?

Andrew, Jens, any preference here? 

[1] https://lore.kernel.org/r/[email-masked]

thanks,

-- 
John Hubbard
NVIDIA